Last modified: 2014-10-27 13:55:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19187 - Many Special pages need constant width date, else columns won't line up
Many Special pages need constant width date, else columns won't line up
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.21.x
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://abj.jidanni.org/index.php?titl...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 08:53 UTC by Dan Jacobson
Modified: 2014-10-27 13:55 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dan Jacobson 2009-06-14 08:53:07 UTC
Special:NewPages needs a constant width date field, else the start of
each article's name won't line up, and gets knocked left and right,
unless they are of the same
month, and don't cross the 9th/10th of the month boundary.

Sure, one could go the whole hog and make the whole wiki use the
industrial $wgDefaultUserOptions['date']='ISO 8601'; or the user can
change his Preferences, but just for this one page? Anyway, perhaps
just use "14:22 2009-04-07", which isn't one of MessagesEn.php
$dateFormats anyway. My apologies to Taiwan's Minguo year, Japan's ...
etc. See also bug 18305 (but that doesn't involve months and years.)
Comment 1 Brion Vibber 2009-06-23 01:03:43 UTC
Like recentchanges and many other output views in MediaWiki, this list wasn't designed as a table. While it could be redesigned as one, there's no pressing need to, particularly on this issue alone.
Comment 2 Dan Jacobson 2009-06-23 17:12:25 UTC
Trivial to fix, quite unlike recentchanges with its several different types of lines.
And no need for tables too. This Special Page is the bread and butter of the smallest wikis.
Look how pretty the above URL looks, compared to the default hodgepodge,
even with the barf ISO 8601 time.
Comment 3 Dan Jacobson 2009-06-23 17:16:36 UTC
>Look how pretty
Er, 40% less ugly. Still 60% ugly. Hmmm.
Comment 4 Dan Jacobson 2009-07-20 23:32:10 UTC
Changing Summary, as same case with Special:Contributions and probably many other special pages.
Comment 5 Andre Klapper 2012-12-21 13:46:24 UTC
[Removing RESOLVED LATER as discussed in http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html . Reopening and setting priority to "Lowest". For future reference, please use either RESOLVED WONTFIX (for issues that will not be fixed), or simply set lowest priority. Thanks a lot!]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links